;===============================================================================
;INCLUDE FILE: - LCD_LABELS.INC
;
;PURPOSE: - This file is included to supply the following routines. 
;
;These routines supply all the labels for the main program.
;
;1. DISPLAY THE OPENING MESSAGE.
;2. DISPLAY THE HZ LABEL.
;3. DISPLAY THE "ENTER FREQUENCY" LABEL.
;4. D5. ENTER A COMMA ->  "'".
;5. DISPLAY THE "CURRENT FREQUENCY" LABEL.
;6. DISPLAY THE ERROR FIRST CHAR IS E
;7. DISPLAY THE LABEL FOR FREQUENCY GREATER THAN 50 MEG.QUAL TO ZERO.
;8. PRESS_# SIMPLY TELLS THE USER THAT THEY NEED TO PRESS THE # BUTTON FOR
;   ENTERING WHEN OPTION IS DISPLAYED ON THE SCREEN.
;9. LABEL FOR WHEN THE EPROM IS CHECKED FOR STARTING FREQUENCY AND NONE EXISTS.
;
;===============================================================================  


;=============================================================================	
;1. DISPLAY THE OPENING MESSAGE.
;===============================================================================  
OPEN_MESG
		call	LCD_BUSY
		
		movlw	' '			;ENTER "R".
		call	LCD_DISP_CHAR
		
		movlw	' '			;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'D'			;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'D'			;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'S'			;ENTER " ".
		call	LCD_DISP_CHAR
		
		movlw	' '			;ENTER "G".
		call	LCD_DISP_CHAR

		movlw	'F'			;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'U'			;ENTER "N".
		call	LCD_DISP_CHAR

		movlw	'N'			;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'C'			;ENTER "R".
		call	LCD_DISP_CHAR
		
		movlw	'T'			;ENTER "R".
		call	LCD_DISP_CHAR
		
		movlw	'I'			;ENTER "A".
		call	LCD_DISP_CHAR

		movlw	'O'			;ENTER "T".
		call	LCD_DISP_CHAR

		movlw	'N'			;ENTER "O".
		call	LCD_DISP_CHAR
		
		call	LCD_LINE2

		movlw	'G'			;ENTER "T".
		call	LCD_DISP_CHAR

		movlw	'E'			;ENTER "O".
		call	LCD_DISP_CHAR
		
		movlw	'N'			;ENTER "R".
		call	LCD_DISP_CHAR
		
		movlw	'E'			;ENTER ".".
		call	LCD_DISP_CHAR
		
		movlw	'R'			;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'A'			;ENTER " ".
		call	LCD_DISP_CHAR
		
		movlw	'T'			;ENTER "G".
		call	LCD_DISP_CHAR

		movlw	'0'			;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'R'			;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '			;ENTER "N".
		call	LCD_DISP_CHAR

		movlw	'V'			;ENTER "R".
		call	LCD_DISP_CHAR
		
		movlw	'E'			;ENTER "A".
		call	LCD_DISP_CHAR
		
		movlw	'R'			;ENTER "R".
		call	LCD_DISP_CHAR
		
		movlw	'1'			;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'.'		;ENTER "R".
		call	LCD_DISP_CHAR
		
		movlw	'0'		;ENTER "R".
		call	LCD_DISP_CHAR
				
		call 	WAIT_500MS
		call 	WAIT_256MS
	
		call 	LCD_CLEAR
		
		call 	WAIT_15MS

		return

;=============================================================================
;2. DISPLAY THE HZ LABEL.
;=============================================================================
HZ_LABEL
		movlw	H'0E'
		call	LCD_LINE1_W

		movlw	'H'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'z'		;ENTER "z".
		call	LCD_DISP_CHAR

		return
		
;=============================================================================
;3. DISPLAY THE "ENTER FREQUENCY" LABEL.
;=============================================================================
ENT_FREQ_LABEL
		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY
		
		movlw	'M'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'O'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'D'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	':'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "Q".
		call	LCD_DISP_CHAR


		movlw	'N'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'Q'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		return

;=============================================================================
;3. DISPLAY THE "ENTER FREQUENCY" LABEL.
;=============================================================================
ENT_EE_FREQ_LABEL	
		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY
		
		movlw	'M'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'O'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'D'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	':'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'N'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'Q'		;ENTER "Q".
		call	LCD_DISP_CHAR

		return

;=============================================================================	
;4. DISPLAY THE "CURRENT FREQUENCY" LABEL.
;=============================================================================
DISPLAY_FREQ_LABEL
		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY
		
		movlw	'M'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'O'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'D'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	':'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'D'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'I'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'S'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'P'		;ENTER "R".
		call	LCD_DISP_CHAR
		
		movlw	'L'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'Q'		;ENTER "Q".
		call	LCD_DISP_CHAR

		return

;=============================================================================	
;5. ENTER A COMMA ->  "'".
;=============================================================================
COMMA
		movwf	W_TEMP 	;COPY W TO TEMP REGISTER
		movlw	','		;ENTER "H".
		call	LCD_DISP_CHAR		
		swapf 	W_TEMP,W ;Swap W_TEMP into W
		
		return
	
;=============================================================================
;6. DISPLAY THE ERROR FIRST CHAR IS EQUAL TO ZERO.
;=============================================================================
ZERO_ERROR
		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY
			
		call	HZ_LABEL
			
		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY
		
		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'R'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'Q'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'M'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'U'		;ENTER "E".
		call	LCD_DISP_CHAR
	
		movlw	'S'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR
				
		movlw	'B'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'>'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'0'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		call 	WAIT_500MS
		call	WAIT_256MS
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY
			
		call	HZ_LABEL
			
		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY
		
		movlw	'E'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'N'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'T'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'1'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'S'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'T'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'C'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'H'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'A'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'>'		;ENTER "H".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'0'		;ENTER "z".
		call	LCD_DISP_CHAR
		
		call 	WAIT_500MS
		call	WAIT_256MS
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
			
		call	HZ_LABEL
		
		call	LCD_BUSY
		
		call	ENT_FREQ_LABEL
		
		call	LCD_BUSY

		goto	DISP_CHAR

;=============================================================================
;7. DISPLAY THE LABEL FOR FREQUENCY GREATER THAN 50 MEG.
;=============================================================================
FREQ_TO_BIG
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY
			
		call	HZ_LABEL
			
		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY

		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'R'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'Q'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'T'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'0'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'B'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'I'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'G'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'!'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		call 	WAIT_500MS
		call	WAIT_256MS
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY
			
		call	HZ_LABEL
		
		call	LCD_BUSY
		
		call	ENT_FREQ_LABEL
			
		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY
				
		movlw	'M'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'U'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'S'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'B'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'<'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'6'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'0'		;ENTER "z".
		call	LCD_DISP_CHAR
		
		movlw	'M'		;ENTER "H".
		call	LCD_DISP_CHAR
		
		movlw	'H'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'z'		;ENTER "z".
		call	LCD_DISP_CHAR
		
		movlw	'.'		;ENTER "z".
		call	LCD_DISP_CHAR
		
		call 	WAIT_500MS
		call	WAIT_256MS
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY
			
		call	HZ_LABEL
		
		call	LCD_BUSY
		
		call	ENT_FREQ_LABEL
			
		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY
				
		movlw	'E'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'N'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'T'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'Q'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'A'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'G'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'A'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'I'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'N'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'!'		;ENTER "z".
		call	LCD_DISP_CHAR
		
		call 	WAIT_500MS
		call	WAIT_256MS
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
			
		call	HZ_LABEL
		
		call	LCD_BUSY
		
		call	ENT_FREQ_LABEL	
		
		call	LCD_BUSY

		movlw	H'00'
		movwf	FCHAR_MAX

		bcf		INTERRUPT_FLAG,	KEYS_BIT ; CLEAR OUR INTERRUPT FLAG FOR KEYS.

		return
		
;=============================================================================
;MENU ROUTINES:
;
;8. PRESS_# SIMPLY TELLS THE USER THAT THEY NEED TO PRESS THE # BUTTON FOR
;   ENTERING WHEN OPTION IS DISPLAYED ON THE SCREEN. 
;=============================================================================
PRESS_#
		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY
	
		movlw	'M'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'E'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'N'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'U'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'-'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'>'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'S'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR
	
		movlw	'L'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "-".
		call	LCD_DISP_CHAR
				
		movlw	'I'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'O'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'N'		;ENTER "Q".
		call	LCD_DISP_CHAR


		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY


		movlw	'B'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'Y'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'P'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'R'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'S'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'S'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'I'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'N'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'G'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'"'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'#'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'"'		;ENTER "H".

		movlw	'.'		;ENTER "H".
		call	LCD_DISP_CHAR
	
		call 	WAIT_500MS
		call	WAIT_256MS	

		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		return

;9
RESET_STARTUP_FREQ_LCD	
		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY
	
		movlw	'1'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'.'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "H".
		call	LCD_DISP_CHAR
	
		movlw	'N'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'E'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'W'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'S'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'A'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'R'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'T'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR
	
		movlw	'U'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'P'		;ENTER "z".
		call	LCD_DISP_CHAR



		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY

		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	' '		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR

		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'R'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'Q'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'U'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'N'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'C'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'Y'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'.'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		
		return


;10
CALIBRATE_LCD	
		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY

		movlw	'2'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'.'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "H".
		call	LCD_DISP_CHAR
	
		movlw	'C'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'A'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'L'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'I'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'B'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'A'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'S'		;ENTER "E".
		call	LCD_DISP_CHAR
	
		movlw	'Y'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'S'		;ENTER "z".
		call	LCD_DISP_CHAR


		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY


		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	' '		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR

		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'R'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'Q'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'U'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'N'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'C'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'Y'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'.'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		
		return

;11
MENU_EXIT_LCD	
		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY

		movlw	'3'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'.'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "H".
		call	LCD_DISP_CHAR
	
		movlw	'E'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'X'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'I'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'T'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'M'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'N'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'U'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'.'		;ENTER "E".
		call	LCD_DISP_CHAR
	
		movlw	'.'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'.'		;ENTER "z".
		call	LCD_DISP_CHAR

		
		return


;=============================================================================
;12. LABEL FOR WHEN THE EPROM IS CHECKED FOR STARTING FREQUENCY AND NONE EXISTS.
;=============================================================================
NEW_STRT_FREQ_LABEL
		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY
	
		movlw	'E'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'N'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'R'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'A'		;ENTER "E".
		call	LCD_DISP_CHAR
	
		movlw	' '		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'N'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
				
		movlw	'W'		;ENTER "R".
		call	LCD_DISP_CHAR


		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY


		movlw	'E'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'P'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'P'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'R'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'O'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'M'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR
	
		movlw	'F'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
					
		movlw	'Q'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'N'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'O'		;ENTER "Q".
		call	LCD_DISP_CHAR
		
		movlw	'W'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'!'		;ENTER "E".
		call	LCD_DISP_CHAR

		call 	WAIT_500MS
		
		return


;13.

FINISH_FREQ_LCD
		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY

		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'I'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'N'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'I'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'S'		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'H'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'N'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'T'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'I'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'N'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'G'		;ENTER "E".
		call	LCD_DISP_CHAR

		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY

		movlw	'N'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
				
		movlw	'W'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'F'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'R'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
				
		movlw	'Q'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "-".
		call	LCD_DISP_CHAR
				
		movlw	'F'		;ENTER "R".
		call	LCD_DISP_CHAR

		movlw	'I'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	'R'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'S'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'T'		;ENTER "-".
		call	LCD_DISP_CHAR

		movlw	'!'		;ENTER "-".
		call	LCD_DISP_CHAR

		call 	WAIT_256MS
		call 	WAIT_256MS

		return

;14
STEP_CHANGED
		call	LCD_BUSY
		
		call	LCD_CLEAR
		
		call	LCD_BUSY
		
		call	LCD_LINE1
		
		call	LCD_BUSY

		movlw	'S'		;ENTER "Q".
		call	LCD_DISP_CHAR
	
		movlw	'T'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'E'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'P'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	' '		;ENTER "Q".
		call	LCD_DISP_CHAR

		movlw	'V'		;ENTER "H".
		call	LCD_DISP_CHAR

		movlw	'A'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'L'		;ENTER "-".
		call	LCD_DISP_CHAR
		
		movlw	'U'		;ENTER "E".
		call	LCD_DISP_CHAR
		
		movlw	'E'		;ENTER "E".
		call	LCD_DISP_CHAR

		movlw	' '		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'N'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'O'		;ENTER "-".
		call	LCD_DISP_CHAR
				
		movlw	'W'		;ENTER "R".
		call	LCD_DISP_CHAR

		call	LCD_BUSY
		
		call	LCD_LINE2
		
		call	LCD_BUSY

		movlw	'='		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	' '		;ENTER "z".
		call	LCD_DISP_CHAR

		return

;15
STEP_1_LCD
		call	LCD_BUSY

		movlw	H'03'
		call	LCD_LINE2_W
		
		call	LCD_BUSY

		movlw	'1'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'H'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'z'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'.'		;ENTER "z".
		call	LCD_DISP_CHAR

		call 	WAIT_500MS

		return

;16
STEP_10_LCD
		movlw	'1'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'0'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'H'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'z'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'.'		;ENTER "z".
		call	LCD_DISP_CHAR

		call 	WAIT_500MS

		return

;17
STEP_100_LCD
		movlw	'1'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'0'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'0'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'H'		;ENTER "Q".
		call	LCD_DISP_CHAR	

		movlw	'z'		;ENTER "z".
		call	LCD_DISP_CHAR

		movlw	'.'		;ENTER "z".
		call	LCD_DISP_CHAR

		call 	WAIT_500MS

		return